> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/changelog/2024-codapay-changelog/new-adjustment-to-inquirypaymentresult-api.md).

# New Adjustment to inquiryPaymentResult API

Dear Partners,

We would like to inform you that the data format of the Codapay inquiry transaction interface (inquiryPaymentResult.json) has been recently adjusted. The changes are as follows:

We have added a new `entry` field in the `profile`&#x20;

* Previous data format: The `entry` field in the `profile` was an object containing a key-value pair (`key` and `value`).
* Current data format: The `entry` field in the `profile` has now become an array containing multiple key-value pair objects.

Due to this change, please review the logic that processes the `profile.entry` field in your system. If your validation request directly accesses `profile.entry.key` and `profile.entry.value`, you will need to modify your code to iterate over the array and handle each key-value pair individually. Please refer to the following code example to update your implementation:

```json
{
    "paymentResult": {
        "orderId": "<Your orderId>",
        "profile": {
            "entry": [
                {"key": "PaymentType", "value": 1},
                {"key": "channelId", "value": 90}
            ]
        }
    }
}
```

If you have any questions or need further assistance, please feel free to contact us.&#x20;

Thank you for your understanding and cooperation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/changelog/2024-codapay-changelog/new-adjustment-to-inquirypaymentresult-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
